Subject: Re: How does git track history overwrites?

From: Jens Tröger <[email-masked]>
Date: Tue, 26 May 2026 01:20:23 +0200

Hello Junio,

> Sorry, I may have been unclear.  I specifically meant the "grafted,
> " part in the message.  I know how "git log" output looks like ;-)

The “grafted” too was part of the git log output; here is the complete
cmd line output:

    /tmp/bla > git log
    commit fda77690955e9b63c6687d8806bafd56a526e45f (grafted, HEAD)
    Author: Adam Johnson <[email-masked]>
    Date:   Mon Sep 8 16:31:35 2025 +0100

        Version 1.20.0

On *why* the “grafted” is there in the first place, I suspect that’s got
to do with the fetch --depth=1 and that previous history isn’t available
in the shallow repo clone.

Cheers,
Jens